#### 28.4.4.20 The ps\_setup\_show\_enabled\_instruments() Procedure

[]()[]()

 Displays all currently enabled Performance Schema instruments. This might be a long list.

##### Parameters

 None.

##### Example

```
mysql> CALL sys.ps_setup_show_enabled_instruments()\G
*************************** 1. row ***************************
enabled_instruments: wait/io/file/sql/map
              timed: YES
*************************** 2. row ***************************
enabled_instruments: wait/io/file/sql/binlog
              timed: YES
*************************** 3. row ***************************
enabled_instruments: wait/io/file/sql/binlog_cache
              timed: YES
...
```

